From: Zdenek Kabelac <zkabelac@sourceware.org>
To: lvm-devel@redhat.com
Subject: main - tests: ignore failure of zeroing
Date: Tue, 23 Mar 2021 11:07:08 +0000 (GMT) [thread overview]
Message-ID: <20210323110708.7835E385EC54@sourceware.org> (raw)
Gitweb: https://sourceware.org/git/?p=lvm2.git;a=commitdiff;h=712f7dfb4cdb729609de230e41255c5af0526860
Commit: 712f7dfb4cdb729609de230e41255c5af0526860
Parent: 26d76d31c5251a35bc4be1c60a1066d13b1f5f1d
Author: Zdenek Kabelac <zkabelac@redhat.com>
AuthorDate: Tue Mar 23 12:05:55 2021 +0100
Committer: Zdenek Kabelac <zkabelac@redhat.com>
CommitterDate: Tue Mar 23 12:05:55 2021 +0100
tests: ignore failure of zeroing
Older mdadm fails the command, when the signature is already gone.
---
test/lib/aux.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/test/lib/aux.sh b/test/lib/aux.sh
index 617d0b3a4..20736260f 100644
--- a/test/lib/aux.sh
+++ b/test/lib/aux.sh
@@ -796,7 +796,7 @@ cleanup_md_dev() {
test "$DM_DEV_DIR" = "/dev" || rm -f "$(< MD_DEV_PV)"
for dev in $(< MD_DEVICES); do
- mdadm --zero-superblock "$dev" 2>/dev/null
+ mdadm --zero-superblock "$dev" 2>/dev/null || true
done
udev_wait
rm -f MD_DEV MD_DEVICES MD_DEV_PV
reply other threads:[~2021-03-23 11:07 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20210323110708.7835E385EC54@sourceware.org \
--to=zkabelac@sourceware.org \
--cc=lvm-devel@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.